%define unmangled_name google-auth-httplib2

%define mangled_name python3-google-auth-httplib2
%define version 0.0.3
%define unmangled_version 0.0.3
%define unmangled_version 0.0.3
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: Google Authentication Library: httplib2 transport
Name: %{mangled_name}
Requires: python3-google-auth, python3-httplib2 >= 0.9.1
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: Apache 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Google Cloud Platform <jonwayne+google-auth@google.com>
Url: https://github.com/GoogleCloudPlatform/google-auth-library-python-httplib2

%description
``httplib2`` Transport for Google Auth
======================================

|pypi|

This library provides an `httplib2`_ transport for `google-auth`_.

.. note:: ``httplib`` has lots of problems such as lack of threadsafety
    and insecure usage of TLS. Using it is highly discouraged. This
    library is intended to help existing users of ``oauth2client`` migrate to
    ``google-auth``.

.. |pypi| image:: https://img.shields.io/pypi/v/google-auth-httplib2.svg
   :target: https://pypi.python.org/pypi/google-auth-httplib2

.. _httplib2: https://github.com/httplib2/httplib2
.. _google-auth: https://github.com/GoogleCloudPlatform/google-auth-library-python/

Installing
----------

You can install using `pip`_::

    $ pip install google-auth-httplib2

.. _pip: https://pip.pypa.io/en/stable/

License
-------

Apache 2.0 - See `the LICENSE`_ for more information.

.. _the LICENSE: https://github.com/GoogleCloudPlatform/google-auth-library-python/blob/master/LICENSE


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
